#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAD,0x98,0x7E,0x0D,0x34,0x72,0x81,0x74,0x96,0xD8,0xFC,0xF5,
		0x83,0xCF,0x65,0x38,0xEC,0x3B,0x34,0x0A,0x13,0x6A,0xE5,0x74,
		0xCF,0xC0,0x52,0x85,0x5D,0x83,0x6C,0x00,0x70,0xC2,0x30,0xA6,
		0x71,0x78,0x9B,0xCE,0x84,0xDB,0x3A,0x74,0x3B,0xCB,0x93,0x7C,
		0x68,0xBD,0x0F,0xAD,0x37,0x46,0x95,0xD8,0x62,0x0B,0xDE,0x43,
		0xD8,0x73,0xA9,0xBB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
